## libgtkada 3.8.3

=== debian/changelog ===
libgtkada (3.8.3-1) unstable; urgency=medium

  * Build with gnat-6, gprbuild >= 2015, upload to unstable.
  * Enable all hardening flags, but PIE because we build a shared library.
    Let LDFLAGS also affect local libraries in linker command line.
  * Switch from manual -dbg packages to automatic -dbgsym packages.
  * Standards-Version: 3.9.8 (no changes).

 -- Nicolas Boulenguez <nicolas@debian.org>  Tue, 26 Apr 2016 09:25:57 +0200

libgtkada (3.8.3-1~exp1) experimental; urgency=medium

  * New upstream release, built with gnat-5 and linking with gtk-3.
    Rename library and -dev packages per Ada policy.
    Drop Build-Depends: libx11-dev, example_makefiles.patch.
    GNOME support has been removed.
  * Drop OpenGL library until gtkgl2 migrates to GTK3.
  * Rely on upstream GPR-based build system.
    - give GL module the same name as upstream, obsoleting a preinst script.
    - build-flags.diff
    - clean_properly.diff
    - adapt-pkg-config-and-gtkada-config.diff
    - separate project for testgtk as example, keep it as build test.
  * Drop versioned gtkada2 compatibility project. Suggest pkg-config.
  * License switch from GPL-2+ to GPL-3+, now correct in source headers.
    Let license_readme.diff also patch some obsolete headers.
  * Repackage without GFDL documentation, copied and generated sources.
    Drop README.source and get-orig-source target.
    Patch build system to avoid building missing documents.
    Drop Janne Löf from copyright holders, gtkgl was GPL-2+ anyways.
  * Drop XS-Testsuite: autopkgtest, now added by dpkg-source automatically.

 -- Nicolas Boulenguez <nicolas@debian.org>  Sun, 24 Jan 2016 14:41:46 +0100

libgtkada (2.24.4dfsg-2) unstable; urgency=medium

  * Touch generated sources for deterministic ALI files and tar headers.

 -- Nicolas Boulenguez <nicolas@debian.org>  Sun, 03 May 2015 18:14:44 +0200

=== debian/control ===
Source: libgtkada
Section: libs
Priority: optional
Maintainer: Ludovic Brenta <lbrenta@debian.org>
Uploaders: Nicolas Boulenguez <nicolas@debian.org>
Build-Depends: debhelper (>= 9), dpkg-dev (>= 1.16.2),
 autoconf, autotools-dev,
 gnat, gnat-6,
# gprbuild compatible with gnat-6
 gprbuild (>= 2015-3),
# dh-ada-library knowing that -dbg packages are obsolete.
 dh-ada-library (>= 6.7),
 pkg-config,
 python,
# gtkada sources refer to gtk_* gdk_* cairo_* pango_* g_*
 libgtk-3-dev,
 libgdk-pixbuf2.0-dev,
 libcairo2-dev | libcairo-dev,
 libpango1.0-dev,
 libglib2.0-dev
Standards-Version: 3.9.8
Homepage: http://libre.adacore.com/libre/tools/gtkada
Vcs-Browser: http://www.ada-france.org:8081/branch/changes/org.debian.libgtkada2
Vcs-Mtn: www.ada-france.org org.debian.libgtkada2

Package: libgtkada3.8.3-dev
Section: libdevel
Architecture: any
Depends: ${ada:Depends},
 libgtkada-bin (=${binary:Version}),
 libcairo2-dev | libcairo-dev,
 libgdk-pixbuf2.0-dev,
 libgtk-3-dev,
 libpango1.0-dev,
 ${misc:Depends}
Suggests: pkg-config,
 libgtkada-doc
Description: Ada binding for the GTK+ GUI (development files)
 GtkAda is a library that allows programmers to write GTK+ applications in the
 Ada programming language.
 .
 This package contains the development files and static libraries.

Package: libgtkada3.8.3
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Ada binding for the GTK+ GUI (dynamic library)
 GtkAda is a library that allows programmers to write GTK+ applications in the
 Ada programming language.
 .
 This library will let you run Ada applications compiled with GTK+.

Package: libgtkada-bin
Section: devel
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: gnat, libgtkada-doc
Replaces: libgtkada2-bin
Breaks: libgtkada2-bin
Description: Ada binding for the GTK+ GUI (development utilities)
 GtkAda is a library that allows programmers to write GTK+ applications in the
 Ada programming language.
 .
 This package contains development utilities (gtkada-dialog and gtkada-config).

Package: libgtkada-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Suggests: gnat
Replaces: libgtkada2-doc
Breaks: libgtkada2-doc
Description: Ada binding for the GTK+ GUI (documentation)
 GtkAda is a library that allows programmers to write GTK+ applications in the
 Ada programming language.
 .
 This package contains examples, lists of known problems and comments
 about the Debian packaging.
 .
 The complete GTKAda user guide cannot be distributed by Debian
 because it is licensed under the GNU Free Documentation License with
 Invariant Sections and Cover Texts. The reference manual cannot be
 generated from source without the user guide.
 They are published by upstream authors at
 http://docs.adacore.com/gprbuild-docs/html/gprbuild_ug.html and
 http://docs.adacore.com/gtkada-docs/gtkada_ug/_build/html.

=== debian/rules ===
#!/usr/bin/make -f
# debian/rules for libgtkada
# Copyright (c) 2003-2012 Ludovic Brenta <lbrenta@debian.org>
# Copyright (c) 2011-2016 Nicolas Boulenguez <nicolas@debian.org>
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# The full text of the GNU General Public License is in the file
# /usr/share/common-licenses/GPL-3 on Debian systems.

.SUFFIXES:

######################################################################
POLICY_TARGETS := binary binary-arch binary-indep build build-arch \
 build-indep clean
.PHONY: $(POLICY_TARGETS)
$(POLICY_TARGETS):
	dh $@ --with ada-library

# Declaring these targets prevent dh calling upstream build system directly.
.PHONY: $(addprefix override_dh_auto_, \
  clean configure build-arch build-indep test-arch test-indep install)

override_dh_auto_clean::      # Will receive recipes
	dh_auto_clean

######################################################################

DEB_CFLAGS_MAINT_APPEND := -Wall -Wextra -fstack-check
DEB_BUILD_MAINT_OPTIONS=hardening=+all,-pie
include /usr/share/dpkg/default.mk
include /usr/share/ada/debian_packaging*.mk

DEB_DATE := $(shell dpkg-parsechangelog -S date)

ADAFLAGS += -Wall -Wextra -fstack-check -gnatVa -gnatafo

# Work-around for gnat bug #717014: gtkada-canvas.adb uses math functions
# either built in gcc or provided by -lm, depending on the architecture.
LIBS := -lm

# Use a concrete target, because dh calls dh_configure for both -arch
# then -indep and we do not want ./configure to run twice.
override_dh_auto_configure: configure-stamp
configure-stamp: configure config.guess config.sub install-sh
 # Requires pkg-config package.
	dh_auto_configure -- \
	  --with-GL=no \
	  --enable-shared \
	  '--includedir=$${prefix}/share/ada/adainclude' \
	  $(foreach f,ADAFLAGS CFLAGS CPPFLAGS LDFLAGS OBJCFLAGS LIBS,"$(f)=$($(f))")
	touch $@
configure:
 # Requires autoconf package.
	autoconf
config.guess config.sub:
 # Requires autotools-dev package.
	ln -s /usr/share/misc/$@
install-sh:
 # Required, but actually unused.
	touch install-sh
override_dh_auto_clean::
	rm -f configure config.guess config.sub install-sh

override_dh_auto_build-arch:
 # Ensure deterministic timestamps in ALI files.
	find . -depth \( -name "*.ad[bs]" -o -name "*.[hc]" \) \
	  -a -newermt '$(DEB_DATE)' -print0 | \
	  xargs -0r touch --no-dereference --date='$(DEB_DATE)'
 # Instead of running default target all: static relocatable tools tests,
 # - link tools dynamically
 # - run tests only if DEB_BUILD_OPTIONS does not contain nocheck.
	$(MAKE) static relocatable \
	  "PROCESSORS=$(BUILDER_JOBS)" \
	  "GPRBUILD_OPTIONS=$(filter-out -j$(BUILDER_JOBS),$(BUILDER_OPTIONS))"
	gprbuild -p ${BUILDER_OPTIONS} -XLIBRARY_TYPE=relocatable src/tools/tools.gpr

GNATPREP_BODIES := src/gtkada-intl testgtk/opengl/view_gl
override_dh_auto_build-arch: gnatprep-stamp
# gnatprep stamp is also a prerequisite for testgtk, see below.
gnatprep-stamp:
	$(MAKE) $(addsuffix .adb,$(GNATPREP_BODIES))
 # Makefile and *.gpb files are prerequisites for preprocessed *.adb.
 # The modification time of .adb will be forced to DEB_DATE.
 # Forbid Makefile to update .adb.
	touch --date='$(DEB_DATE)' Makefile $(addsuffix .gpb,$(GNATPREP_BODIES))
	touch $@

override_dh_auto_build-arch: | src/generated
src/generated:
	mkdir src/generated
 # Requires python package.
	$(MAKE) generate
override_dh_auto_clean::
	rm -fr src/generated
	rm -f contrib/*.pyc src/misc_generated.c

override_dh_auto_test-arch:
	$(MAKE) tests

# Installing the pkg-config script requires ALIversion and
# DEB_HOST_MULTIARCH, it is not convenient to use a separate file.
DEV_PKG := $(shell sed debian/control debian/control -ne \
  '/^Package: \(libgtkada[0-9.]\+-dev$$\)/{s//\1/;p;q}')
.PHONY: override_dh_install
override_dh_install:
	dh_install --package=${DEV_PKG} projects/gtkada.pc usr/lib/${DEB_HOST_MULTIARCH}/pkgconfig
	dh_install --remaining-packages

# Archive testgtk sources, so that the user does not need to
# uncompress them separately.
# Remove in-tree build system (README, *.gpr, objects and executables).
# Add project described in README.Debian. Move GL support to top dir.
TESTGTK_TGZ := testgtk.tgz
override_dh_auto_build-indep: $(TESTGTK_TGZ)
$(TESTGTK_TGZ):
	tar --create --auto-compress --file=$@ \
	  testgtk \
	  --exclude=testgtk/README \
	  --exclude=testgtk/obj/* \
	  --transform 's~^testgtk/opengl/view_gl\.ad~testgtk/view_gl.ad~' \
	  --exclude=testgtk/test_rtree \
	  --exclude=testgtk/testgtk \
	  --exclude=testgtk/testgtk.gpr \
	  debian/testgtk.gpr \
	  --transform 's/^debian/testgtk/'
override_dh_auto_clean::
	rm -f $(TESTGTK_TGZ)

$(TESTGTK_TGZ): gnatprep-stamp

=== debian/tests/control ===
Tests: link-with-shared
Depends: @, xvfb, xauth, gprbuild, pkg-config
# xvfb-run depends on xauth, see header in /usr/bin/xvfb-run.

=== debian/watch ===
version=3
opts=filenamemangle=s/^.*download=//,dversionmangle=s/^.*\.// \
https://qa.debian.org/cgi-bin/fakeupstream.cgi?upstream=adacore/gtkada \
.*gtkada-gpl-(\d{4})-src\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

# Major and minor versions are set manually, see README.source.

## libgtkada 17.0.2017

=== debian/changelog ===
libgtkada (17.0.2017-2) unstable; urgency=medium

  * Upload to unstable.
  * Standards-Version: 4.0.1 (no changes).
  * No need to Break/Replace previous -dev depending on previous gnat.

 -- Nicolas Boulenguez <nicolas@debian.org>  Thu, 10 Aug 2017 10:23:57 +0200

libgtkada (17.0.2017-1) experimental; urgency=medium

  * New upstream release built with gnat-7. No ALI/SO bump in experimental.
  * Debhelper 10.
    Let dh and dh_autoreconf generate ./configure.
    Remove explicit rules targets leading dh to run ./configure twice.
  * Standards-Version: 4.0.0.
    DEB_BUILD_OPTIONS=nodoc. HTTPS copyright format URL.
  * Drop obsolete preinst script and Break/Replace: libgtkada2-doc.
  * usr-bin-gnatchop-856274.diff to work-around gnat bug #856274.
  * Sort testgtk tar options, thanks to Steve Langasek. Closes: #831001.
  * gnat-7 handles SOURCE_DATE_EPOCH directly.
  * Allow -doc package to satisfy Multi-Arch: foreign dependencies.
  * Move manpage from excluded docs/ to debian/.
  * Patch testgtk.gpr for usage outside source tree without opengl.

 -- Nicolas Boulenguez <nicolas@debian.org>  Fri, 07 Jul 2017 00:28:23 +0200

libgtkada (16.1.0-1) experimental; urgency=medium

  * New upstream release.
    Bump SO version, rename/break/replace -dev package per Ada policy.
  * Upstream drops support for gtkada-config and pkg-config.
    -dev does not Depend: -bin for gtkada-config nor Suggest: pkg-config.
  * Build-Depend: libfontconfig1-dev because of new binding.
  * build_flags.diff: remove part refused upstream.
  * Ensure that ./configure uses gnatgcc instead of gcc.
  * Enable PIE in hardening flags for executables.
  * Do not bother touching timestamps for C sources.
  * Make watch file more readable with version 4.

 -- Nicolas Boulenguez <nicolas@debian.org>  Thu, 18 Aug 2016 21:49:34 +0200

=== debian/control ===
--- 
+++ 
@@ -3,37 +3,38 @@
 Priority: optional
 Maintainer: Ludovic Brenta <lbrenta@debian.org>
 Uploaders: Nicolas Boulenguez <nicolas@debian.org>
-Build-Depends: debhelper (>= 9), dpkg-dev (>= 1.16.2),
- autoconf, autotools-dev,
- gnat, gnat-6,
-# gprbuild compatible with gnat-6
- gprbuild (>= 2015-3),
+Build-Depends: debhelper (>= 10), dpkg-dev (>= 1.16.2),
+ gnat, gnat-7,
+# This line is parsed by debian/rules.
+# gprbuild cleaning auto.cgpr after the build.
+ gprbuild (>= 2017),
 # dh-ada-library knowing that -dbg packages are obsolete.
  dh-ada-library (>= 6.7),
  pkg-config,
  python,
+# src/fontconfig.adb
+ libfontconfig1-dev | libfontconfig-dev,
 # gtkada sources refer to gtk_* gdk_* cairo_* pango_* g_*
  libgtk-3-dev,
  libgdk-pixbuf2.0-dev,
  libcairo2-dev | libcairo-dev,
  libpango1.0-dev,
  libglib2.0-dev
-Standards-Version: 3.9.8
+Standards-Version: 4.0.1
 Homepage: http://libre.adacore.com/libre/tools/gtkada
 Vcs-Browser: http://www.ada-france.org:8081/branch/changes/org.debian.libgtkada2
 Vcs-Mtn: www.ada-france.org org.debian.libgtkada2
 
-Package: libgtkada3.8.3-dev
+Package: libgtkada16.1.0-dev
 Section: libdevel
 Architecture: any
 Depends: ${ada:Depends},
- libgtkada-bin (=${binary:Version}),
  libcairo2-dev | libcairo-dev,
  libgdk-pixbuf2.0-dev,
  libgtk-3-dev,
  libpango1.0-dev,
  ${misc:Depends}
-Suggests: pkg-config,
+Suggests: libgtkada-bin (=${binary:Version}),
  libgtkada-doc
 Description: Ada binding for the GTK+ GUI (development files)
  GtkAda is a library that allows programmers to write GTK+ applications in the
@@ -41,7 +42,7 @@
  .
  This package contains the development files and static libraries.
 
-Package: libgtkada3.8.3
+Package: libgtkada16.1.0
 Architecture: any
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
@@ -57,21 +58,18 @@
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Suggests: gnat, libgtkada-doc
-Replaces: libgtkada2-bin
-Breaks: libgtkada2-bin
 Description: Ada binding for the GTK+ GUI (development utilities)
  GtkAda is a library that allows programmers to write GTK+ applications in the
  Ada programming language.
  .
- This package contains development utilities (gtkada-dialog and gtkada-config).
+ This package contains the gtkada-dialog development utility.
 
 Package: libgtkada-doc
 Section: doc
 Architecture: all
+Multi-Arch: foreign
 Depends: ${misc:Depends}
 Suggests: gnat
-Replaces: libgtkada2-doc
-Breaks: libgtkada2-doc
 Description: Ada binding for the GTK+ GUI (documentation)
  GtkAda is a library that allows programmers to write GTK+ applications in the
  Ada programming language.

=== debian/rules ===
#!/usr/bin/make -f
# debian/rules for libgtkada
# Copyright (c) 2003-2012 Ludovic Brenta <lbrenta@debian.org>
# Copyright (c) 2011-2017 Nicolas Boulenguez <nicolas@debian.org>
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# The full text of the GNU General Public License is in the file
# /usr/share/common-licenses/GPL-3 on Debian systems.

%:
	dh $@ --with ada-library

# Declaring these targets prevent dh calling upstream build system directly.
.PHONY: $(addprefix override_dh_auto_, \
  clean configure build-arch build-indep test-arch test-indep install)

override_dh_auto_clean::      # Will receive recipes
	dh_auto_clean

######################################################################

define new_line :=


endef
$(eval $(addsuffix $(new_line),$(shell sed -n '\
  s/^ gnat, gnat-\([0-9.]\+\),$$/ \
    GNAT_VERSION:=\1 \
  /p;\
  s/^Package: libgtkada\([0-9.]\+\)$$/ \
    PACKAGE_VERSION:=\1 \
  /p;\
  ' debian/control)))

DEB_CFLAGS_MAINT_APPEND := -Wall -Wextra -fstack-check
DEB_BUILD_MAINT_OPTIONS := hardening=+all
include /usr/share/dpkg/default.mk
include /usr/share/ada/debian_packaging-$(GNAT_VERSION).mk

ADAFLAGS += -Wall -Wextra -fstack-check -gnatVa -gnatafo

# Work-around for gnat bug #717014: gtkada-canvas.adb uses math functions
# either built in gcc or provided by -lm, depending on the architecture.
LIBS := -lm

# Note: despite what the help string says, --enable-shared does *not*
# link tools dynamically when both libraries are built. We use
# LIBRARY_KIND_FOR_TOOLS later to ensure dynamic linking.
# PACKAGE_VERSION is used as shared object version for the library.
# OpenGL is disabled: it copies gtkgl2/gtk2 sources while gtk3 seems
#   to include more recent versions of the same files.
override_dh_auto_configure:
 # Requires pkg-config package.
	dh_auto_configure -- \
	  --with-GL=no \
	  --enable-shared \
	  --disable-static-pic \
	  '--includedir=$${prefix}/share/ada/adainclude' \
	  $(foreach f,CC CFLAGS CPPFLAGS LDFLAGS LIBS PACKAGE_VERSION,"$(f)=$($(f))")

 # Used by -arch (compilation) and -indep (testgtk.tgz).
	$(MAKE) src/gtkada-intl.adb testgtk/opengl/view_gl.adb

override_dh_auto_build-arch:
 # Instead of running default target all: static relocatable tools tests,
 # - link tools dynamically
 # - run tests only if DEB_BUILD_OPTIONS does not contain nocheck.
	$(MAKE) static relocatable tools \
	  "PROCESSORS=$(BUILDER_JOBS)" \
	  LIBRARY_TYPE_FOR_TOOLS=relocatable \
	  'GPRBUILD_OPTIONS= \
	    $(filter-out -j$(BUILDER_JOBS),$(BUILDER_OPTIONS)) \
	    $(foreach v,ADAFLAGS CFLAGS CPPFLAGS LDFLAGS,"-X$(v)=$($(v))")'

override_dh_auto_build-arch: | src/generated
src/generated:
	mkdir src/generated
 # Requires python package.
	$(MAKE) generate
override_dh_auto_clean::
	rm -fr src/generated
	rm -f contrib/*.pyc src/misc_generated.c

override_dh_auto_test-arch:
	$(MAKE) tests \
	  "PROCESSORS=$(BUILDER_JOBS)" \
	  LIBRARY_TYPE_FOR_TOOLS=relocatable \
	  'GPRBUILD_OPTIONS= \
	    $(filter-out -j$(BUILDER_JOBS),$(BUILDER_OPTIONS)) \
	    $(foreach v,ADAFLAGS CFLAGS CPPFLAGS LDFLAGS,"-X$(v)=$($(v))")'

# Archive testgtk sources, so that the user does not need to
# uncompress them separately.
# Remove objects and executables.
TESTGTK_TGZ := testgtk.tgz
testgtk_exclude := obj/* test_rtree testgtk
testgtk_gpr := testgtk/testgtk.gpr

ifeq (,$(filter nodoc,$(DEB_BUILD_OPTIONS)))
override_dh_auto_build-indep: $(TESTGTK_TGZ)
endif
$(TESTGTK_TGZ):
	patch -b $(testgtk_gpr) debian/testgtk-no-opengl.diff
	tar --create --auto-compress --file=$@ \
	  $(addprefix --exclude=testgtk/,$(testgtk_exclude)) \
	  testgtk
	rm $(testgtk_gpr)
	mv $(testgtk_gpr).orig $(testgtk_gpr)
override_dh_auto_clean::
	if test -e $(testgtk_gpr).orig; then \
	  rm $(testgtk_gpr); \
	  mv $(testgtk_gpr).orig $(testgtk_gpr); \
	fi
	rm -f $(TESTGTK_TGZ)

=== debian/tests/control ===
Tests: link-with-shared
Restrictions: allow-stderr
Depends: @, xvfb, xauth, gprbuild
# xvfb-run depends on xauth, see header in /usr/bin/xvfb-run.

=== debian/watch ===
version=4

opts=\
  repack,\
  compression=xz,\
  filenamemangle=s/^.*download=//,\
  dversionmangle=s/^.*\.// \
  https://qa.debian.org/cgi-bin/fakeupstream.cgi?upstream=adacore/gtkada \
  .*gtkada-gpl@ANY_VERSION@-src@ARCHIVE_EXT@

# Major and minor versions are set manually, see README.source.

## libgtkada 18

=== debian/changelog ===
libgtkada (18-2) unstable; urgency=medium

  * Rebuild in unstable for gnat-8 transition.

 -- Nicolas Boulenguez <nicolas@debian.org>  Sat, 27 Oct 2018 15:10:00 +0200

libgtkada (18-1) experimental; urgency=medium

  * New upstream release. No package renaming in experimental.

 -- Nicolas Boulenguez <nicolas@debian.org>  Sat, 9 Jun 2018 17:26:03 +0200

libgtkada (17.0.2017-4) experimental; urgency=medium

  * Rebuild with gnat-8.
    Rename shared library and -dev packages per Debian Ada policy.
    Drop obsolete Break/Replace with older -dev.
  * Delete watch file. Explain why in README.source.
  * Update upstream Home page.
  * Let run time test produce more debug information.

 -- Nicolas Boulenguez <nicolas@debian.org>  Mon, 07 May 2018 14:45:38 +0200

libgtkada (17.0.2017-3) unstable; urgency=medium

  * Break+Replace: previous -dev per Ada policy. Closes: #892148.
  * Standards-Version: 4.1.4.

 -- Nicolas Boulenguez <nicolas@debian.org>  Tue, 24 Apr 2018 16:29:00 +0200

libgtkada (17.0.2017-3~exp1) experimental; urgency=medium

  * update-gtk-gir.diff: use obsolete Gtk-3.0.gir with recent libgtk-dev.
    Implies a new ALI version because the generated Ada have changed, but
    also a new SO version: the new enumeration values will be passed to
    existing callbacks by recent GTK runtimes.
  * Debhelper 11. Move docs to /u/s/doc/libgtkada*-dev.
  * Remove trailing whitespaces in this changelog.
  * Build-Depend: drop obsolete restriction on dpkg-dev version.
  * Standards-Version: 4.1.3 without changes.
  * Update Vcs-Mtn to new monotone URI format.
  * Remove duplicate build flags.
  * Example archive: stop embedding backup file and unreproducible data.

 -- Nicolas Boulenguez <nicolas@debian.org>  Wed, 28 Feb 2018 21:22:51 +0100

=== debian/control ===
--- 
+++ 
@@ -3,9 +3,9 @@
 Priority: optional
 Maintainer: Ludovic Brenta <lbrenta@debian.org>
 Uploaders: Nicolas Boulenguez <nicolas@debian.org>
-Build-Depends: debhelper (>= 10), dpkg-dev (>= 1.16.2),
- gnat, gnat-7,
-# This line is parsed by debian/rules.
+Build-Depends: debhelper (>= 11),
+ gnat, gnat-8,
+# This line is parsed to set gnat version.
 # gprbuild cleaning auto.cgpr after the build.
  gprbuild (>= 2017),
 # dh-ada-library knowing that -dbg packages are obsolete.
@@ -20,12 +20,13 @@
  libcairo2-dev | libcairo-dev,
  libpango1.0-dev,
  libglib2.0-dev
-Standards-Version: 4.0.1
-Homepage: http://libre.adacore.com/libre/tools/gtkada
+Standards-Version: 4.1.4
+Homepage: https://www.adacore.com/community
 Vcs-Browser: http://www.ada-france.org:8081/branch/changes/org.debian.libgtkada2
-Vcs-Mtn: www.ada-france.org org.debian.libgtkada2
+Vcs-Mtn: mtn://monotone.ada-france.org?org.debian.libgtkada2
 
-Package: libgtkada16.1.0-dev
+Package: libgtkada18-dev
+# This line is parsed to set Ada Library Information version.
 Section: libdevel
 Architecture: any
 Depends: ${ada:Depends},
@@ -42,7 +43,8 @@
  .
  This package contains the development files and static libraries.
 
-Package: libgtkada16.1.0
+Package: libgtkada18
+# This line is parsed to set the Shared Object version.
 Architecture: any
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}

=== debian/rules ===
--- 
+++ 
@@ -28,25 +28,23 @@
 
 ######################################################################
 
-define new_line :=
-
-
-endef
-$(eval $(addsuffix $(new_line),$(shell sed -n '\
+$(foreach line,$(shell sed -n '\
   s/^ gnat, gnat-\([0-9.]\+\),$$/ \
     GNAT_VERSION:=\1 \
+  /p;\
+  s/^Package: \(libgtkada[0-9.]\+-dev\)$$/ \
+    dev_pkg:=\1 \
   /p;\
   s/^Package: libgtkada\([0-9.]\+\)$$/ \
     PACKAGE_VERSION:=\1 \
   /p;\
-  ' debian/control)))
+  ' debian/control),$(eval $(line)))
 
 DEB_CFLAGS_MAINT_APPEND := -Wall -Wextra -fstack-check
 DEB_BUILD_MAINT_OPTIONS := hardening=+all
 include /usr/share/dpkg/default.mk
 include /usr/share/ada/debian_packaging-$(GNAT_VERSION).mk
-
-ADAFLAGS += -Wall -Wextra -fstack-check -gnatVa -gnatafo
+ADAFLAGS += -gnatVa -gnatafo
 
 # Work-around for gnat bug #717014: gtkada-canvas.adb uses math functions
 # either built in gcc or provided by -lm, depending on the architecture.
@@ -102,22 +100,28 @@
 # uncompress them separately.
 # Remove objects and executables.
 TESTGTK_TGZ := testgtk.tgz
-testgtk_exclude := obj/* test_rtree testgtk
+testgtk_exclude := obj/* test_rtree testgtk testgtk.gpr.orig
 testgtk_gpr := testgtk/testgtk.gpr
+reproducible_tar_options := --owner=0 --group=0 --numeric-owner
+reproducible_gz_options  := --no-name
 
 ifeq (,$(filter nodoc,$(DEB_BUILD_OPTIONS)))
 override_dh_auto_build-indep: $(TESTGTK_TGZ)
 endif
 $(TESTGTK_TGZ):
 	patch -b $(testgtk_gpr) debian/testgtk-no-opengl.diff
+	GZIP='$(reproducible_gz_options)' \
 	tar --create --auto-compress --file=$@ \
+	  $(reproducible_tar_options) \
 	  $(addprefix --exclude=testgtk/,$(testgtk_exclude)) \
 	  testgtk
-	rm $(testgtk_gpr)
-	mv $(testgtk_gpr).orig $(testgtk_gpr)
+  # Restore the project, so that the clean target works as expected.
+	mv -f $(testgtk_gpr).orig $(testgtk_gpr)
 override_dh_auto_clean::
-	if test -e $(testgtk_gpr).orig; then \
-	  rm $(testgtk_gpr); \
-	  mv $(testgtk_gpr).orig $(testgtk_gpr); \
-	fi
 	rm -f $(TESTGTK_TGZ)
+
+doc_main_tools := override_dh_installdocs override_dh_installexamples
+.PHONY: $(doc_main_tools)
+$(doc_main_tools): override_%:
+	$* --package=libgtkada-doc --doc-main-package=$(dev_pkg)
+	$* --remaining-packages

## libgtkada 19

=== debian/changelog ===
libgtkada (19-4) unstable; urgency=medium

  * Reupload to unstable for gnat-9 transition.
  * Debhelper 12 dh-sequence syntax.
  * Wrap and sort build dependencies.
  * Standards-Version: 4.5.0.
  * Drop redundant branch from Vcs-Git.
  * Let rules include only needed dpkg-dev Makefile snippet.

 -- Nicolas Boulenguez <nicolas@debian.org>  Tue, 25 Feb 2020 12:09:06 +0100

libgtkada (19-3) experimental; urgency=medium

  * Last version breaks the complex work-around for #695055.
    Use a more simple way to link with -lm when necessary.

 -- Nicolas Boulenguez <nicolas@debian.org>  Mon, 02 Sep 2019 22:55:48 +0200

libgtkada (19-2) experimental; urgency=medium

  * Update the Python scripts from 2 to 3. Closes: #936871.
  * Replace deprecated GZIP variable with command-line options.
  * Simplify and forward patches.

 -- Nicolas Boulenguez <nicolas@debian.org>  Sun, 01 Sep 2019 20:56:19 +0200

libgtkada (19-1) experimental; urgency=medium

  * New upstream release. Build with gcc-9.
    Rename lib and dev packages per Ada policy.
  * Debhelper 12.
  * Standards-Version: 4.4.0.
  * Rules-Requires-Root: no.
  * Move packaging history to salsa.debian.org.
  * Disable usr-bin-gnatchop-856274.diff, workaround for fixed compiler bug.
  * Ask for more linker warnings (--as-needed is the default with gcc-9).
  * Let tests be more verbose.

 -- Nicolas Boulenguez <nicolas@debian.org>  Wed, 21 Aug 2019 12:56:39 +0200

=== debian/control ===
--- 
+++ 
@@ -3,38 +3,39 @@
 Priority: optional
 Maintainer: Ludovic Brenta <lbrenta@debian.org>
 Uploaders: Nicolas Boulenguez <nicolas@debian.org>
-Build-Depends: debhelper (>= 11),
- gnat, gnat-8,
+Build-Depends:
+ debhelper-compat (= 12),
+ dh-sequence-ada-library,
+ gnat, gnat-9,
 # This line is parsed to set gnat version.
 # gprbuild cleaning auto.cgpr after the build.
  gprbuild (>= 2017),
-# dh-ada-library knowing that -dbg packages are obsolete.
- dh-ada-library (>= 6.7),
- pkg-config,
- python,
+ libcairo2-dev | libcairo-dev,
 # src/fontconfig.adb
  libfontconfig1-dev | libfontconfig-dev,
 # gtkada sources refer to gtk_* gdk_* cairo_* pango_* g_*
+ libgdk-pixbuf2.0-dev,
+ libglib2.0-dev,
  libgtk-3-dev,
- libgdk-pixbuf2.0-dev,
- libcairo2-dev | libcairo-dev,
  libpango1.0-dev,
- libglib2.0-dev
-Standards-Version: 4.1.4
+ pkg-config,
+# Makefile.in
+ python3,
+Standards-Version: 4.5.0
+Rules-Requires-Root: no
 Homepage: https://www.adacore.com/community
-Vcs-Browser: http://www.ada-france.org:8081/branch/changes/org.debian.libgtkada2
-Vcs-Mtn: mtn://monotone.ada-france.org?org.debian.libgtkada2
+Vcs-Browser: https://salsa.debian.org/debian/libgtkada
+Vcs-Git: https://salsa.debian.org/debian/libgtkada.git
 
-Package: libgtkada18-dev
+Package: libgtkada19-dev
 # This line is parsed to set Ada Library Information version.
 Section: libdevel
 Architecture: any
-Depends: ${ada:Depends},
+Depends: ${ada:Depends}, ${misc:Depends},
  libcairo2-dev | libcairo-dev,
  libgdk-pixbuf2.0-dev,
  libgtk-3-dev,
  libpango1.0-dev,
- ${misc:Depends}
 Suggests: libgtkada-bin (=${binary:Version}),
  libgtkada-doc
 Description: Ada binding for the GTK+ GUI (development files)
@@ -43,7 +44,7 @@
  .
  This package contains the development files and static libraries.
 
-Package: libgtkada18
+Package: libgtkada19
 # This line is parsed to set the Shared Object version.
 Architecture: any
 Multi-Arch: same

=== debian/rules ===
--- 
+++ 
@@ -1,7 +1,7 @@
 #!/usr/bin/make -f
 # debian/rules for libgtkada
 # Copyright (c) 2003-2012 Ludovic Brenta <lbrenta@debian.org>
-# Copyright (c) 2011-2017 Nicolas Boulenguez <nicolas@debian.org>
+# Copyright (c) 2011-2019 Nicolas Boulenguez <nicolas@debian.org>
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by
@@ -17,7 +17,7 @@
 # /usr/share/common-licenses/GPL-3 on Debian systems.
 
 %:
-	dh $@ --with ada-library
+	dh $@
 
 # Declaring these targets prevent dh calling upstream build system directly.
 .PHONY: $(addprefix override_dh_auto_, \
@@ -40,15 +40,13 @@
   /p;\
   ' debian/control),$(eval $(line)))
 
+DEB_ADAFLAGS_MAINT_APPEND := -gnatVa -gnatafo
 DEB_CFLAGS_MAINT_APPEND := -Wall -Wextra -fstack-check
 DEB_BUILD_MAINT_OPTIONS := hardening=+all
-include /usr/share/dpkg/default.mk
+DEB_LDFLAGS_MAINT_APPEND := -Wl,--no-undefined \
+  -Wl,--no-copy-dt-needed-entries -Wl,--no-allow-shlib-undefined
+include /usr/share/dpkg/buildflags.mk
 include /usr/share/ada/debian_packaging-$(GNAT_VERSION).mk
-ADAFLAGS += -gnatVa -gnatafo
-
-# Work-around for gnat bug #717014: gtkada-canvas.adb uses math functions
-# either built in gcc or provided by -lm, depending on the architecture.
-LIBS := -lm
 
 # Note: despite what the help string says, --enable-shared does *not*
 # link tools dynamically when both libraries are built. We use
@@ -63,10 +61,13 @@
 	  --enable-shared \
 	  --disable-static-pic \
 	  '--includedir=$${prefix}/share/ada/adainclude' \
-	  $(foreach f,CC CFLAGS CPPFLAGS LDFLAGS LIBS PACKAGE_VERSION,"$(f)=$($(f))")
+	  $(foreach f,CC CFLAGS CPPFLAGS LDFLAGS PACKAGE_VERSION,"$(f)=$($(f))")
 
  # Used by -arch (compilation) and -indep (testgtk.tgz).
 	$(MAKE) src/gtkada-intl.adb testgtk/opengl/view_gl.adb
+# Upstream is not interested in cleaning src/gtkada-intl.adb.
+override_dh_auto_clean::
+	$(RM) src/gtkada-intl.adb
 
 override_dh_auto_build-arch:
  # Instead of running default target all: static relocatable tools tests,
@@ -82,11 +83,10 @@
 override_dh_auto_build-arch: | src/generated
 src/generated:
 	mkdir src/generated
- # Requires python package.
-	$(MAKE) generate
+	$(MAKE) generate PYTHON=python3
 override_dh_auto_clean::
-	rm -fr src/generated
-	rm -f contrib/*.pyc src/misc_generated.c
+	rm -fr src/generated contrib/__pycache__
+	rm -f src/misc_generated.c
 
 override_dh_auto_test-arch:
 	$(MAKE) tests \
@@ -110,11 +110,10 @@
 endif
 $(TESTGTK_TGZ):
 	patch -b $(testgtk_gpr) debian/testgtk-no-opengl.diff
-	GZIP='$(reproducible_gz_options)' \
-	tar --create --auto-compress --file=$@ \
+	tar --create \
 	  $(reproducible_tar_options) \
 	  $(addprefix --exclude=testgtk/,$(testgtk_exclude)) \
-	  testgtk
+	  testgtk | gzip $(reproducible_gz_options) > $@
   # Restore the project, so that the clean target works as expected.
 	mv -f $(testgtk_gpr).orig $(testgtk_gpr)
 override_dh_auto_clean::

## libgtkada 21.0.0.785f3cf4

=== docs/Makefile ===

all::
	${MAKE} -C gtkada_rm
	${MAKE} -C gtkada_ug html latexpdf

clean::
	${MAKE} -C gtkada_rm clean
	${MAKE} -C gtkada_ug clean

distclean::
	${MAKE} -C gtkada_rm distclean
	${MAKE} -C gtkada_ug distclean

=== debian/changelog ===
libgtkada (21.0.0.785f3cf4-3) unstable; urgency=medium

  * Fix tests: testgtk.tgz/view_gl.adb was missing after -indep builds.

 -- Nicolas Boulenguez <nicolas@debian.org>  Sun, 20 Dec 2020 10:31:58 +0000

libgtkada (21.0.0.785f3cf4-2) unstable; urgency=medium

  * Reupload to unstable for gnat-10 transition.
    The propagation of a patch updating python2 code closes: #975818.
  * Fix copy/paste error in upstream/metadata.

  [ Simon McVittie <smcv@debian.org> ]
  * Build-depend on libgdk-pixbuf-2.0-dev instead of libgdk-pixbuf2.0-dev.
    Closes: #976028.

 -- Nicolas Boulenguez <nicolas@debian.org>  Sun, 13 Dec 2020 16:37:34 +0100

libgtkada (21.0.0.785f3cf4-1) experimental; urgency=medium

  * New upstream snapshot (no ALI/SO bump in experimental).
  * Upstream now grants the GCC runtime exception to GPL-3+.
    Relicense Debian packaging accordingly.
  * Upstream removes the GFDL-1.3+ invariant sections from the User Guide.
    There is no need to repackage anymore.
  * Upstream recommends to watch github instead of the community website.
  * Move cleaning from debian/rules to debian/clean.
  * Change global section from libs to libdevel.
  * Merge copyright stanzas with the same license.
  * Split Build-Dependencies between -arch and -indep.
  * Set CC=gnatgcc (dpkg/buildtools.mk may be different).
  * Install examples into -doc package.
  * Add upstream/metadata.

 -- Nicolas Boulenguez <nicolas@debian.org>  Sat, 31 Oct 2020 14:07:42 +0000

libgtkada (20-1) experimental; urgency=medium

  * Build with gcc-10. Rename lib and -dev accordingly.

 -- Nicolas Boulenguez <nicolas@debian.org>  Fri, 29 May 2020 12:14:08 +0000

=== debian/control ===
Source: libgtkada
Section: libdevel
Priority: optional
Maintainer: Ludovic Brenta <lbrenta@debian.org>
Uploaders: Nicolas Boulenguez <nicolas@debian.org>
Build-Depends:
 debhelper-compat (= 13),
# Required by debian/rules for gnatprep during -indep builds:
 gnat,
Build-Depends-Arch:
 dh-ada-library (>= 7.2),
 dh-sequence-ada-library,
 gnat-10,
# This line is parsed to set gnat version.
 gprbuild (>= 2021.0.0.0778b109-2),
 libcairo2-dev | libcairo-dev,
# src/fontconfig.adb
 libfontconfig-dev,
# gtkada sources refer to gtk_* gdk_* cairo_* pango_* g_*
 libgdk-pixbuf-2.0-dev | libgdk-pixbuf2.0-dev,
 libglib2.0-dev,
 libgtk-3-dev,
 libpango1.0-dev,
 pkg-config,
# Makefile.in
 python3,
Build-Depends-Indep:
 dh-sequence-sphinxdoc,
# Sphinx >= 1.6 uses the latexmk driver:
 latexmk,
 python3-sphinx,
 sphinx-common,
 texlive-fonts-recommended,
 texlive-latex-extra,
Standards-Version: 4.5.1
Rules-Requires-Root: no
Homepage: https://github.com/AdaCore/gtkada
Vcs-Browser: https://salsa.debian.org/debian/libgtkada
Vcs-Git: https://salsa.debian.org/debian/libgtkada.git

Package: libgtkada20-dev
# This line is parsed to set Ada Library Information version.
Architecture: any
Depends: ${ada:Depends}, ${misc:Depends},
Suggests: libgtkada-bin (=${binary:Version}),
 libgtkada-doc
Description: Ada binding for the GTK+ GUI (development files)
 GtkAda is a library that allows programmers to write GTK+ applications in the
 Ada programming language.
 .
 This package contains the development files and static libraries.

Package: libgtkada20
# This line is parsed to set the Shared Object version.
Section: libs
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Ada binding for the GTK+ GUI (dynamic library)
 GtkAda is a library that allows programmers to write GTK+ applications in the
 Ada programming language.
 .
 This library will let you run Ada applications compiled with GTK+.

Package: libgtkada-bin
Section: devel
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: gnat, libgtkada-doc
Description: Ada binding for the GTK+ GUI (development utilities)
 GtkAda is a library that allows programmers to write GTK+ applications in the
 Ada programming language.
 .
 This package contains the gtkada-dialog development utility.

Package: libgtkada-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Suggests: gnat
Description: Ada binding for the GTK+ GUI (documentation)
 GtkAda is a library that allows programmers to write GTK+ applications in the
 Ada programming language.
 .
 This package contains the user guide, examples, lists of known
 problems and comments about the Debian packaging.
 .
 The reference manual cannot be generated within Debian for now.
 It is available at
 https://docs.adacore.com/live/wave/gtkada/html/gtkada_rm/index.html.

=== debian/rules ===
#!/usr/bin/make -f
# debian/rules for libgtkada
# Copyright (c) 2003-2012 Ludovic Brenta <lbrenta@debian.org>
# Copyright (c) 2011-2020 Nicolas Boulenguez <nicolas@debian.org>
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# The full text of the GNU General Public License is in the file
# /usr/share/common-licenses/GPL-3 on Debian systems.

%:
	dh $@

# Declaring these targets prevents dh calling upstream build system directly.
.PHONY: $(addprefix override_dh_auto_, \
  configure-arch configure-indep build-arch build-indep test-arch test-indep install)

######################################################################

$(foreach line,$(shell sed -n '\
  s/^ gnat-\([0-9.]\+\),$$/                GNAT_VERSION:=\1 /p;\
  s/^Package: libgtkada\([0-9.]\+\)$$/     soversion:=\1    /p;\
  ' debian/control),$(eval $(line)))

DPKG_EXPORT_BUILDFLAGS := 1
DEB_ADAFLAGS_MAINT_APPEND := -gnatVa -gnatafo
DEB_CFLAGS_MAINT_APPEND := -Wall -Wextra -fstack-check
DEB_BUILD_MAINT_OPTIONS := hardening=+all
DEB_LDFLAGS_MAINT_APPEND := \
  -Wl,--no-allow-shlib-undefined \
  -Wl,--no-copy-dt-needed-entries \
  -Wl,--no-undefined
include /usr/share/dpkg/buildflags.mk
include $(wildcard /usr/share/ada/debian_packaging-$(GNAT_VERSION).mk)
# wildcard in case only Build-Depends-Indep are installed.

# Note: despite what the help string says, --enable-shared does *not*
# link tools dynamically when both libraries are built. We use
# LIBRARY_KIND_FOR_TOOLS later to ensure dynamic linking.
# OpenGL is disabled: it copies gtkgl2/gtk2 sources while gtk3 seems
#   to include more recent versions of the same files.
override_dh_auto_configure-arch:
 # Requires pkg-config package.
	dh_auto_configure -- \
	  --with-GL=no \
	  --enable-shared \
	  --disable-static-pic \
	  --includedir=$${prefix}/share/ada/adainclude \
	  CC=gnatgcc \
	  PACKAGE_VERSION=$(soversion)

	dh_auto_build -- generate PYTHON=python3

override_dh_auto_build-arch:

 # Instead of running default target all: static relocatable tools tests,
 # - link tools dynamically
 # - run tests only if DEB_BUILD_OPTIONS does not contain nocheck.
	dh_auto_build -- static relocatable tools \
	  LIBRARY_TYPE_FOR_TOOLS=relocatable \
	  PROCESSORS=$(BUILDER_JOBS) \
	  GPRBUILD_OPTIONS='$(filter-out -j$(BUILDER_JOBS),$(BUILDER_OPTIONS))'

override_dh_auto_test-arch:
	dh_auto_test -- \
	  LIBRARY_TYPE_FOR_TOOLS=relocatable \
	  PROCESSORS=$(BUILDER_JOBS) \
	  GPRBUILD_OPTIONS='$(filter-out -j$(BUILDER_JOBS),$(BUILDER_OPTIONS))'

# Archive testgtk sources, so that the user does not need to
# uncompress them separately.
# Remove objects and executables.
TESTGTK_TGZ := testgtk.tgz
testgtk_exclude := obj/* test_rtree testgtk testgtk.gpr.orig
testgtk_gpr := testgtk/testgtk.gpr
reproducible_tar_options := --owner=0 --group=0 --numeric-owner
reproducible_gz_options  := --no-name

# TODO: add the reference manual when gnat-gps/gnatdoc is available
ifeq (,$(filter nodoc,$(DEB_BUILD_OPTIONS)))
override_dh_auto_build-indep: $(TESTGTK_TGZ) docs/gtkada_ug/_build/GtkAda.html
endif

docs/gtkada_ug/_build/GtkAda.html:
	dh_auto_build --sourcedir=docs/gtkada_ug -- latexpdf html
  # libgtkada-doc.docs cannot rename files.
	mv docs/gtkada_ug/_build/html docs/gtkada_ug/_build/GtkAda.html

$(TESTGTK_TGZ):
  # Reimplement "make testgtk/opengl/view_gl.adb", without requiring
  # ./configure dependencies during -indep builds.
	gnatprep -DHAVE_GL=False -DWIN32=False testgtk/opengl/view_gl.gpb testgtk/opengl/view_gl.adb
	patch -b $(testgtk_gpr) debian/testgtk-no-opengl.diff
	tar --create \
	  $(reproducible_tar_options) \
	  $(addprefix --exclude=testgtk/,$(testgtk_exclude)) \
	  testgtk | gzip $(reproducible_gz_options) > $@
  # Restore the project, so that the clean target works as expected.
	mv -f $(testgtk_gpr).orig $(testgtk_gpr)

=== debian/watch ===
version=4

opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%gtkada-$1.tar.gz%" \
https://github.com/AdaCore/gtkada/tags \
(?:.*?/)?v?(\d[\d.]*)\.tar\.gz

## libgtkada 22.0.0

=== debian/changelog ===
libgtkada (22.0.0-2) unstable; urgency=medium

  * Reupload to unstable for the gnat-11 transition
  * Configure branch names for git-buildpackage
  * Require dh-ada-library 7.5, which generates ada:Depends differently

 -- Nicolas Boulenguez <nicolas@debian.org>  Sun, 08 May 2022 19:40:09 +0200

libgtkada (22.0.0-1) experimental; urgency=medium

  * Build new upstream release with gcc-11.
    Rename lib and -dev packages accordingly.
  * Build-Depend: tex-gyre for tgterms.sty. Closes: #997458.
  * Add sphinxdoc:{Built-Using,Depends} to -doc. Closes: #989327.
  * Standards-Version: 4.6.0
  * Use unversioned debian_packaging.mk from gnat package.
    It is present during both -arch and -indep builds.
  * Disable some validity checks becauso of #998177.
  * uscan: drop unused filenamemangle option.

 -- Nicolas Boulenguez <nicolas@debian.org>  Sun, 03 Apr 2022 14:52:49 +0000

=== debian/control ===
--- 
+++ 
@@ -8,10 +8,9 @@
 # Required by debian/rules for gnatprep during -indep builds:
  gnat,
 Build-Depends-Arch:
- dh-ada-library (>= 7.2),
+ dh-ada-library (>= 7.5),
  dh-sequence-ada-library,
- gnat-10,
-# This line is parsed to set gnat version.
+ gnat-11,
  gprbuild (>= 2021.0.0.0778b109-2),
  libcairo2-dev | libcairo-dev,
 # src/fontconfig.adb
@@ -30,15 +29,16 @@
  latexmk,
  python3-sphinx,
  sphinx-common,
+ tex-gyre,
  texlive-fonts-recommended,
  texlive-latex-extra,
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Rules-Requires-Root: no
 Homepage: https://github.com/AdaCore/gtkada
 Vcs-Browser: https://salsa.debian.org/debian/libgtkada
 Vcs-Git: https://salsa.debian.org/debian/libgtkada.git
 
-Package: libgtkada20-dev
+Package: libgtkada21-dev
 # This line is parsed to set Ada Library Information version.
 Architecture: any
 Depends: ${ada:Depends}, ${misc:Depends},
@@ -50,7 +50,7 @@
  .
  This package contains the development files and static libraries.
 
-Package: libgtkada20
+Package: libgtkada21
 # This line is parsed to set the Shared Object version.
 Section: libs
 Architecture: any
@@ -77,7 +77,8 @@
 Section: doc
 Architecture: all
 Multi-Arch: foreign
-Depends: ${misc:Depends}
+Depends: ${misc:Depends}, ${sphinxdoc:Depends}
+Built-Using: ${sphinxdoc:Built-Using}
 Suggests: gnat
 Description: Ada binding for the GTK+ GUI (documentation)
  GtkAda is a library that allows programmers to write GTK+ applications in the

=== debian/rules ===
--- 
+++ 
@@ -1,7 +1,7 @@
 #!/usr/bin/make -f
 # debian/rules for libgtkada
 # Copyright (c) 2003-2012 Ludovic Brenta <lbrenta@debian.org>
-# Copyright (c) 2011-2020 Nicolas Boulenguez <nicolas@debian.org>
+# Copyright (c) 2011-2022 Nicolas Boulenguez <nicolas@debian.org>
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by
@@ -25,22 +25,22 @@
 
 ######################################################################
 
-$(foreach line,$(shell sed -n '\
-  s/^ gnat-\([0-9.]\+\),$$/                GNAT_VERSION:=\1 /p;\
-  s/^Package: libgtkada\([0-9.]\+\)$$/     soversion:=\1    /p;\
-  ' debian/control),$(eval $(line)))
+soversion != \
+  sed -n '/^Package: libgtkada\([0-9.]\+\)$$/{s//\1/p;q}' debian/control
 
 DPKG_EXPORT_BUILDFLAGS := 1
-DEB_ADAFLAGS_MAINT_APPEND := -gnatVa -gnatafo
+# -gnatVa triggers #998177.
+DEB_ADAFLAGS_MAINT_APPEND := -gnatVcdefimnoprst -gnatafo
 DEB_CFLAGS_MAINT_APPEND := -Wall -Wextra -fstack-check
 DEB_BUILD_MAINT_OPTIONS := hardening=+all
 DEB_LDFLAGS_MAINT_APPEND := \
   -Wl,--no-allow-shlib-undefined \
   -Wl,--no-copy-dt-needed-entries \
   -Wl,--no-undefined
+DEB_GPRBUILDFLAGS_NO_J := 1
 include /usr/share/dpkg/buildflags.mk
-include $(wildcard /usr/share/ada/debian_packaging-$(GNAT_VERSION).mk)
-# wildcard in case only Build-Depends-Indep are installed.
+include /usr/share/dpkg/buildopts.mk
+include /usr/share/ada/debian_packaging.mk
 
 # Note: despite what the help string says, --enable-shared does *not*
 # link tools dynamically when both libraries are built. We use
@@ -66,14 +66,14 @@
  # - run tests only if DEB_BUILD_OPTIONS does not contain nocheck.
 	dh_auto_build -- static relocatable tools \
 	  LIBRARY_TYPE_FOR_TOOLS=relocatable \
-	  PROCESSORS=$(BUILDER_JOBS) \
-	  GPRBUILD_OPTIONS='$(filter-out -j$(BUILDER_JOBS),$(BUILDER_OPTIONS))'
+	  $(addprefix PROCESSORS=,$(DEB_BUILD_OPTION_PARALLEL)) \
+	  GPRBUILD_OPTIONS='$(GPRBUILDFLAGS)'
 
 override_dh_auto_test-arch:
 	dh_auto_test -- \
 	  LIBRARY_TYPE_FOR_TOOLS=relocatable \
-	  PROCESSORS=$(BUILDER_JOBS) \
-	  GPRBUILD_OPTIONS='$(filter-out -j$(BUILDER_JOBS),$(BUILDER_OPTIONS))'
+	  $(addprefix PROCESSORS=,$(DEB_BUILD_OPTION_PARALLEL)) \
+	  GPRBUILD_OPTIONS='$(GPRBUILDFLAGS)'
 
 # Archive testgtk sources, so that the user does not need to
 # uncompress them separately.
@@ -90,7 +90,8 @@
 endif
 
 docs/gtkada_ug/_build/GtkAda.html:
-	dh_auto_build --sourcedir=docs/gtkada_ug -- latexpdf html
+	dh_auto_build --sourcedir=docs/gtkada_ug -- latexpdf html \
+	  $(addprefix SPHINXOPTS=-j,$(DEB_BUILD_OPTION_PARALLEL))
   # libgtkada-doc.docs cannot rename files.
 	mv docs/gtkada_ug/_build/html docs/gtkada_ug/_build/GtkAda.html
